▼ |  | Mz Lib: Legacy Libraries

1 | mzlib/ a-signature
2 | mzlib/ a-unit
3 | mzlib/ async-channel
4 | mzlib/ awk
5 | mzlib/ class
6 | mzlib/ cm
7 | mzlib/ cm-accomplice
8 | mzlib/ cmdline
9 | mzlib/ cml
10 | mzlib/ compat
11 | mzlib/ compile
12 | mzlib/ contract
13 | mzlib/ control
14 | mzlib/ date
15 | mzlib/ deflate
16 | mzlib/ defmacro
17 | mzlib/ etc
18 | mzlib/ file
19 | mzlib/ for
20 | mzlib/ foreign
21 | mzlib/ include
22 | mzlib/ inflate
23 | mzlib/ integer-set
24 | mzlib/ kw
25 | mzlib/ list
26 | mzlib/ match
27 | mzlib/ math
28 | mzlib/ md5
29 | mzlib/ os
30 | mzlib/ pconvert
31 | mzlib/ pconvert-prop
32 | mzlib/ plt-match
33 | mzlib/ port
34 | mzlib/ pregexp
35 | mzlib/ pretty
36 | mzlib/ process
37 | mzlib/ restart
38 | mzlib/ runtime-path
39 | mzlib/ sandbox
40 | mzlib/ sendevent
41 | mzlib/ serialize
42 | mzlib/ shared
43 | mzlib/ string
44 | mzlib/ struct
45 | mzlib/ stxparam
46 | mzlib/ surrogate
47 | mzlib/ tar
48 | mzlib/ thread
49 | mzlib/ trace
50 | mzlib/ traceld
51 | mzlib/ trait
52 | mzlib/ transcr
53 | mzlib/ unit
54 | mzlib/ unit-exptime
55 | mzlib/ unit200
56 | mzlib/ unitsig200
57 | mzlib/ zip
| Bibliography
| Index

On this page:

include
include-at/ relative-to
include-at/ relative-to/ reader
include/ reader

top ← prev up next →

(require mzlib/include) | package: compatibility-lib

> NOTE: This library is deprecated; use racket/include, instead.

Similar to scheme/include, but with a different syntax for paths.

> > syntax

> > (include path-spec)

> path-spec |  | = |  | string
> |  | | |  | (build-path elem ...+)
> |  | | |  | (lib file-string collection-string ...)
> elem |  | = |  | string
> |  | | |  | up
> |  | | |  | same

Inlines the syntax in the designated file in place of the include expression. The path-spec can be any of the following:

- A literal string that specifies a path to include, parsed according to the platform’s conventions (which means that it is not portable).

- A path construction of the form (build-path elem ...+), where build-path is module-identifier=? either to the build-path export from mzscheme or to the top-level build-path, and where each elem is a path string, up (unquoted), or same (unquoted). The elems are combined in the same way as for the build-path function to obtain the path to include.

- A path construction of the form (lib file-string collection-string ...), where lib is free or refers to a top-level lib variable. The collection-strings are passed to collection-path to obtain a directory; if no collection-stringss are supplied, "mzlib" is used. The file-string is then appended to the directory using build-path to obtain the path to include.

If path-spec specifies a relative path to include, the path is resolved relative to the source for the include expression, if that source is a complete path string. If the source is not a complete path string, then path-spec is resolved relative to the current load relative directory if one is available, or to the current directory otherwise.

The included syntax is given the lexical context of the include expression.

> > syntax

> > (include-at/relative-to context source path-spec)

> > syntax

> > (include-at/relative-to/reader context source path-spec reader-expr)

> > syntax

> > (include/reader path-spec reader-expr)

Variants of include analogous to the variants of scheme/include.
top ← prev up next →